Bug 1286321 - Please build for python3 in addition to the existing python2
Please build for python3 in addition to the existing python2
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-ndg_httpsclient (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1286324
  Show dependency treegraph
 
Reported: 2015-11-27 21:43 EST by James Hogarth
Modified: 2015-12-07 15:27 EST (History)
2 users (show)

See Also:
Fixed In Version: python-ndg_httpsclient-0.4.0-2.fc24 python-ndg_httpsclient-0.4.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 15:27:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to spec bringing in line with current python guidelines and adding python3 library support (4.19 KB, patch)
2015-11-27 21:43 EST, James Hogarth
no flags Details | Diff

  None (edit)
Description James Hogarth 2015-11-27 21:43:23 EST
Created attachment 1099809 [details]
Patch to spec bringing in line with current python guidelines and adding python3 library support

Description of problem:
Currently only built for python2 and not python3 although the PyPi changelog says it should be compatible with both.

This is a blocker for the python3 ACME libraries.

Version-Release number of selected component (if applicable):
0.4.0-1.fc23

Actual results:
Can't use with python3 applications

Expected results:
Can import in python3 applications

Additional info:
A scratch build with the spec as amended in my attached patch completed
http://koji.fedoraproject.org/koji/taskinfo?taskID=11998069
Comment 1 Zbigniew Jędrzejewski-Szmek 2015-11-27 23:47:13 EST
I pushed the patch with some fixups.
Comment 2 James Hogarth 2015-11-28 14:40:34 EST
Note the patch has with a typo in the Requires for the python3 subpackage...

It has python3-PyOpenSSL when it should be python3-pyOpenSSL instead...

This would normally have been caught by bohdi but of course rawhide doesn't go through that mechanism.

Picked it up when the package I'm building that will use this had a mini freak out at attempted install.
Comment 3 Zbigniew Jędrzejewski-Szmek 2015-11-28 16:08:11 EST
I caught the typo, the build at http://koji.fedoraproject.org/koji/rpminfo?rpmID=7033381 has python3-pyOpenSSL.
Comment 4 Fedora Update System 2015-12-06 07:59:56 EST
python-ndg_httpsclient-0.4.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-966d277e9f
Comment 5 Fedora Update System 2015-12-06 18:51:12 EST
python-ndg_httpsclient-0.4.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-ndg_httpsclient'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-966d277e9f
Comment 6 Fedora Update System 2015-12-07 15:27:02 EST
python-ndg_httpsclient-0.4.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.